org.jfree.data.time

## Class DateRange

- java.lang.Object
- - org.jfree.data.Range
  - - org.jfree.data.time.DateRange

All Implemented Interfaces:
  java.io.Serializable

    public class DateRange
    extends Range
    implements java.io.Serializable

A range specified in terms of two `java.util.Date` objects. Instances of this class are immutable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DateRange()` Default constructor.
`DateRange(java.util.Date lower, java.util.Date upper)` Constructs a new range.
`DateRange(double lower, double upper)` Constructs a new range using two values that will be interpreted as "milliseconds since midnight GMT, 1-Jan-1970".
`DateRange(Range other)` Constructs a new range that is based on another `Range`.

### Method Summary

Methods
`java.util.Date` `getLowerDate()` Returns the lower (earlier) date for the range.
`long` `getLowerMillis()` Returns the lower bound of the range in milliseconds.
`java.util.Date` `getUpperDate()` Returns the upper (later) date for the range.
`long` `getUpperMillis()` Returns the upper bound of the range in milliseconds.
`java.lang.String` `toString()` Returns a string representing the date range (useful for debugging).

### Methods inherited from class org.jfree.data.Range

`combine, constrain, contains, equals, expand, expandToInclude, getCentralValue, getLength, getLowerBound, getUpperBound, hashCode, intersects, intersects, scale, shift, shift`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateRange

    public DateRange()

Default constructor.

#### DateRange

    public DateRange(java.util.Date lower,
             java.util.Date upper)

Constructs a new range.

Parameters:
  `lower` - the lower bound (`null` not permitted).
  `upper` - the upper bound (`null` not permitted).

#### DateRange

    public DateRange(double lower,
             double upper)

Constructs a new range using two values that will be interpreted as "milliseconds since midnight GMT, 1-Jan-1970".

Parameters:
  `lower` - the lower (oldest) date.
  `upper` - the upper (most recent) date.

#### DateRange

    public DateRange(Range other)

Constructs a new range that is based on another `Range`. The other range does not have to be a `DateRange`. If it is not, the upper and lower bounds are evaluated as milliseconds since midnight GMT, 1-Jan-1970.

Parameters:
  `other` - the other range (`null` not permitted).

### Method Detail

#### getLowerDate

    public java.util.Date getLowerDate()

Returns the lower (earlier) date for the range.

Returns:
  The lower date for the range.
See Also:
  `getLowerMillis()`

#### getLowerMillis

    public long getLowerMillis()

Returns the lower bound of the range in milliseconds.

Returns:
  The lower bound.
Since:
  1.0.11
See Also:
  `getLowerDate()`

#### getUpperDate

    public java.util.Date getUpperDate()

Returns the upper (later) date for the range.

Returns:
  The upper date for the range.
See Also:
  `getUpperMillis()`

#### getUpperMillis

    public long getUpperMillis()

Returns the upper bound of the range in milliseconds.

Returns:
  The upper bound.
Since:
  1.0.11
See Also:
  `getUpperDate()`

#### toString

    public java.lang.String toString()

Returns a string representing the date range (useful for debugging).

Overrides:
  `toString` in class `Range`
Returns:
  A string representing the date range.